"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var InputWhite = function InputWhite(_ref) {
  var label = _ref.label,
      placeholder = _ref.placeholder,
      onChange = _ref.onChange,
      _ref$readOnly = _ref.readOnly,
      readOnly = _ref$readOnly === void 0 ? false : _ref$readOnly,
      id = _ref.id,
      name = _ref.name,
      value = _ref.value;
  var styles = (0, _styles.default)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: styles.inputContainer,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("label", {
        children: label
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("input", {
        className: styles.input,
        type: "text",
        name: name,
        id: id,
        placeholder: placeholder,
        onChange: onChange,
        readOnly: readOnly,
        value: value
      })]
    })
  });
};

var _default = InputWhite;
exports.default = _default;