"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _clsx8 = _interopRequireDefault(require("clsx"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

// Styles
var ProgressBar = function ProgressBar(_ref) {
  var _clsx, _clsx2, _clsx3, _clsx4, _clsx5, _clsx6;

  var _ref$steps = _ref.steps,
      steps = _ref$steps === void 0 ? 0 : _ref$steps;
  var classes = (0, _styles.default)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("nav", {
    className: classes.nav,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("article", {
      className: classes.barContainer,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("section", {
        className: (0, _clsx8.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes.stepContainer, true), (0, _defineProperty2.default)(_clsx, classes.stepCompleteFrist, steps >= 1), _clsx)),
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: (0, _clsx8.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes.radioBar, true), (0, _defineProperty2.default)(_clsx2, classes.stepRadioFirst, steps >= 1), _clsx2))
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("section", {
        className: (0, _clsx8.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, classes.stepContainer, true), (0, _defineProperty2.default)(_clsx3, classes.stepComplete, steps >= 2), _clsx3)),
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: (0, _clsx8.default)((_clsx4 = {}, (0, _defineProperty2.default)(_clsx4, classes.radioBar, true), (0, _defineProperty2.default)(_clsx4, classes.radioBarComplete, steps >= 1), _clsx4))
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("section", {
        className: (0, _clsx8.default)((_clsx5 = {}, (0, _defineProperty2.default)(_clsx5, classes.stepContainerLast, true), (0, _defineProperty2.default)(_clsx5, classes.stepCompleteLast, steps >= 3), _clsx5)),
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: (0, _clsx8.default)((_clsx6 = {}, (0, _defineProperty2.default)(_clsx6, classes.radioBar, true), (0, _defineProperty2.default)(_clsx6, classes.radioBarComplete, steps >= 2), _clsx6))
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: (0, _clsx8.default)((0, _defineProperty2.default)({}, classes.radioBar, true))
        })]
      })]
    })
  });
};

var _default = ProgressBar;
exports.default = _default;