import { ChangeEvent } from 'react';
import { TFunc } from '../../../types/generics';
export interface IBoxPesos {
    value: string;
    valueTransfer: string;
    coin: string;
    coinTwo: string;
    onChange: (e: ChangeEvent<HTMLInputElement>) => void;
    onChangeTranfer: (e: ChangeEvent<HTMLInputElement>) => void;
    onBlurTransfer: TFunc;
    onClickSwichAmount: TFunc;
    onClick: TFunc;
    buttonText: string;
    disabled?: boolean;
    decimal?: number;
    footer?: string[];
    focus?: boolean;
    height?: number;
    swichTransfer: boolean;
    swichAmount: boolean;
}
