"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TwitterSvg = exports.LogoDarkSvg = exports.LinkedinSvg = exports.InstagramSvg = exports.FacebookSvg = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var TwitterSvg = function TwitterSvg(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("svg", _objectSpread(_objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: 120,
    height: 100,
    viewBox: "0 0 90 75"
  }, props), {}, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M54.2 2.1c-5.8 2.9-9.4 8.5-10 15.3l-.4 5.3-5-.8c-11.1-1.8-19.6-6-28.3-14L6 3.8 5 6.5c-2.3 6.1-.6 13.9 4.3 19.2 2.2 2.5 1.3 2.9-2.7 1.3-2.3-.8-2.6-.7-2.6 1.1 0 3.6 2.6 8.4 6.4 11.7 2 1.7 4.1 3.2 4.6 3.2.6 0 1 .4 1 1 0 .5-1.1 1-2.5 1s-2.5.6-2.5 1.3c0 2.7 7 8.6 11.7 10l4.7 1.4-6.6 3.3c-4.8 2.3-8.6 3.4-13.4 3.8l-6.7.5 4.6 2.4C24.6 77.5 50 73.4 65 58c8.1-8.2 13.6-19.6 15.2-31 1-7.8 1.5-8.8 5-12.5 4.5-4.8 4.8-5.8 1.2-4.5-5 2-5.6 1.2-2.3-3 3.7-4.5 3.4-5.8-.8-3.7-4.3 2.2-8.1 2.9-8.9 1.6C73.3 3 65.7 0 62 0c-1.9 0-5.4 1-7.8 2.1z"
    })
  }));
};

exports.TwitterSvg = TwitterSvg;

var FacebookSvg = function FacebookSvg(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("svg", _objectSpread(_objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: 120,
    height: 120,
    viewBox: "0 0 90 90"
  }, props), {}, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M5.8 1.6C.1 4.6 0 5.6 0 45c0 39.6.1 40.5 6 43.5 2.3 1.2 6.8 1.5 21 1.5h18V59H34V45h11v-7.3C45 23.5 51.5 17 65.7 17H73v13.9l-5.2.3-5.3.3-.3 6.7-.3 6.7 6.9.3 6.9.3-2.6 6.7-2.6 6.8H62v31h9.5c6.6 0 10.5-.5 12.5-1.5 5.9-3 6-3.9 6-43.5s-.1-40.5-6-43.5C79.7-.7 9.9-.7 5.8 1.6z"
    })
  }));
};

exports.FacebookSvg = FacebookSvg;

var InstagramSvg = function InstagramSvg(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("svg", _objectSpread(_objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: 120,
    height: 120,
    viewBox: "0 0 90 90"
  }, props), {}, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M19.7 1.4C10.5 4.8 3.3 12.3.9 21.3.3 23.7 0 34.1.2 47.4l.3 22.1 3 5.3c3.2 5.9 6.6 9.1 12.9 12.5 3.9 2.1 5.3 2.2 28.6 2.2h24.5l5.3-3c5.9-3.2 9.1-6.6 12.5-12.9 2.1-3.9 2.2-5.3 2.2-28.6s-.1-24.7-2.2-28.6c-3.4-6.3-6.6-9.7-12.5-12.9l-5.3-3-23-.2C28.9.1 22.6.3 19.7 1.4zm52.1 19.2c.4 2.6-2.6 4-4.5 2.1-.8-.7-1.1-2.1-.7-3.1.9-2.4 4.8-1.7 5.2 1zm-18 4c17.6 7.3 17.6 33.5 0 40.8-4.8 2-12.8 2-17.6 0-17.3-7.2-17.8-32.6-.7-40.5 4.9-2.3 13.3-2.4 18.3-.3z"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M38.2 33c-9.4 5.7-9.4 18.3 0 24 6.4 3.9 14.6 1.6 18.8-5.2 7.1-11.7-7.1-25.9-18.8-18.8z"
    })]
  }));
};

exports.InstagramSvg = InstagramSvg;

var LinkedinSvg = function LinkedinSvg(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("svg", _objectSpread(_objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: 120,
    height: 120,
    viewBox: "0 0 90 90"
  }, props), {}, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M9 2.3C6 3.9 3.9 6 2.3 9 0 13.2 0 13.9 0 44.5S0 75.8 2.3 80C3.9 83 6 85.1 9 86.7 13.2 89 13.9 89 44.2 89c33.5 0 34.9-.2 40-5.6 1.5-1.6 3.2-4.2 3.7-5.7.7-1.8 1.1-14.3 1.1-33.6 0-30.2 0-30.9-2.3-35.1C85.1 6 83 3.9 80 2.3 75.8 0 75.1 0 44.5 0S13.2 0 9 2.3zm16.7 14.9c1.3 1.2 2.3 3.2 2.3 4.5 0 3.1-4.2 7.3-7.3 7.3-3.7 0-7.7-3.6-7.7-7 0-6.2 8-9.2 12.7-4.8zm42.6 18.6C73.6 39 75 44 75 59.8V74H62V62.6c0-11.2-.9-16.3-3.3-17.8-2.2-1.4-6.1-.8-8.4 1.4-2.2 2-2.3 2.9-2.3 15V74H34.1l.4-19.8.5-19.7 6.5-.3c6.5-.3 6.5-.3 6.5 2.4v2.7l2.4-2.2c4.5-4.3 11.9-4.8 17.9-1.3zM27 54v20H14V34h13v20z"
    })
  }));
};

exports.LinkedinSvg = LinkedinSvg;

var LogoDarkSvg = function LogoDarkSvg(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("svg", _objectSpread(_objectSpread({
    width: 576,
    height: 124,
    viewBox: "0 0 188 39",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), {}, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M33.64 11.6401V30.2501C33.64 35.2901 36.33 35.4101 42.17 34.8901V37.4701C34.67 38.6201 30.71 36.7801 30.71 30.2501V11.6401V8.83006V1.67006L33.63 0.810059V8.83006H42.16V11.6401H33.64Z",
      fill: "black",
      stroke: "black",
      strokeWidth: "1.217",
      strokeMiterlimit: "10"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M75.4499 8.82995V37.47H72.5299V31C70.1199 35.2999 65.7099 38.0999 60.2199 38.0999C52.0899 38.0999 45.3799 31.63 45.3799 23.15C45.3799 14.67 52.0799 8.19995 60.2099 8.19995C65.7099 8.19995 70.1199 11.01 72.5199 15.3V8.82995H75.4499ZM72.5299 23.15C72.5299 16.33 67.2599 10.95 60.4399 10.95C53.6199 10.95 48.2999 16.33 48.2999 23.15C48.2999 29.97 53.6299 35.3499 60.4399 35.3499C67.2599 35.3499 72.5299 29.97 72.5299 23.15Z",
      fill: "black",
      stroke: "black",
      strokeWidth: "1.217",
      strokeMiterlimit: "10"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M107.75 8.83008V37.4701H104.89V32.0301C102.71 36.2701 99.05 38.1001 94.64 38.1001C87.82 38.1001 83.53 33.5701 83.53 26.6401V8.83008H86.45V26.6401C86.45 31.9101 89.49 35.3501 94.87 35.3501C100.48 35.3501 104.89 31.6801 104.89 23.9501V8.83008H107.75Z",
      fill: "black",
      stroke: "black",
      strokeWidth: "1.217",
      strokeMiterlimit: "10"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M129 8.43018V11.1802C124.07 11.1802 119.43 14.2202 119.43 21.5502V37.4702H116.57V8.83018H119.43V14.4402C121.39 9.92018 125.11 8.43018 129 8.43018Z",
      fill: "black",
      stroke: "black",
      strokeWidth: "1.217",
      strokeMiterlimit: "10"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M131.12 23.15C131.12 14.67 137.82 8.19995 146.18 8.19995C154.48 8.19995 161.19 14.67 161.19 23.15C161.19 31.63 154.49 38.0999 146.18 38.0999C137.82 38.0999 131.12 31.63 131.12 23.15ZM158.27 23.15C158.27 16.33 153 10.95 146.18 10.95C139.36 10.95 134.04 16.33 134.04 23.15C134.04 29.97 139.37 35.3499 146.18 35.3499C153 35.3499 158.27 29.97 158.27 23.15Z",
      fill: "black",
      stroke: "black",
      strokeWidth: "1.217",
      strokeMiterlimit: "10"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M186.8 29.97C186.8 34.67 182.68 38.1 176.55 38.1C170.82 38.1 167.04 35.41 165.67 31.74L168.13 30.31C169.16 33.4 172.25 35.35 176.55 35.35C180.56 35.35 183.94 33.57 183.94 29.97C183.94 22.18 166.59 26.65 166.59 16.34C166.59 11.81 170.48 8.20996 176.33 8.20996C180.97 8.20996 184.52 10.44 186.07 13.94L183.66 15.32C182.46 12.34 179.48 10.97 176.33 10.97C172.61 10.97 169.46 12.92 169.46 16.35C169.44 24.01 186.8 19.48 186.8 29.97Z",
      fill: "black",
      stroke: "black",
      strokeWidth: "1.217",
      strokeMiterlimit: "10"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M19.99 24.72H22.93V4.20996L20.01 5.01996L19.99 24.72Z",
      fill: "black",
      stroke: "black",
      strokeWidth: "1.217",
      strokeMiterlimit: "10"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M10.3199 37.9199H13.2599V20.7L10.3299 21.57L10.3199 37.9199Z",
      fill: "black",
      stroke: "black",
      strokeWidth: "1.217",
      strokeMiterlimit: "10"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M0.609985 24.72H3.54999V10.24L0.619985 11.17L0.609985 24.72Z",
      fill: "black",
      stroke: "black",
      strokeWidth: "1.217",
      strokeMiterlimit: "10"
    })]
  }));
};

exports.LogoDarkSvg = LogoDarkSvg;