"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var ValidationCard = function ValidationCard(_ref) {
  var img = _ref.img,
      title = _ref.title,
      description = _ref.description,
      alt = _ref.alt;
  var styles = (0, _styles.default)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: styles.cardContainer,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: styles.imgContainer,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
          className: styles.img,
          src: img,
          alt: alt
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: styles.textContainer,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("h3", {
          className: styles.title,
          children: title
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)("p", {
          className: styles.description,
          children: description
        })]
      })]
    })
  });
};

var _default = ValidationCard;
exports.default = _default;