"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _core = require("@material-ui/core");

var _useCountdown = _interopRequireDefault(require("./useCountdown"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var CountdownComponent = function CountdownComponent() {
  return null;
};

var _default = {
  title: 'Tauros-web-ui/Hooks/useCountdown',
  component: CountdownComponent,
  args: {},
  argTypes: {}
};
exports.default = _default;

var Countdown = function Countdown(args) {
  var _useState = (0, _react.useState)(new Date(Date.now() + 1.5 * 60 * 60 * 1000)),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      time = _useState2[0],
      setTime = _useState2[1];

  var _useState3 = (0, _react.useState)(true),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      showSeconds = _useState4[0],
      setShowSeconds = _useState4[1];

  var _useState5 = (0, _react.useState)(true),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      showMinutes = _useState6[0],
      setShowMinutes = _useState6[1];

  var _useState7 = (0, _react.useState)(true),
      _useState8 = (0, _slicedToArray2.default)(_useState7, 2),
      showHours = _useState8[0],
      setShowHours = _useState8[1];

  var _useState9 = (0, _react.useState)(true),
      _useState10 = (0, _slicedToArray2.default)(_useState9, 2),
      showZero = _useState10[0],
      setShowZero = _useState10[1]; // Start


  var value = (0, _useCountdown.default)({
    targetDate: time,
    showSeconds: showSeconds,
    showMinutes: showMinutes,
    showHours: showHours,
    showZero: showZero
  });

  var handleReset = function handleReset() {
    return setTime(new Date(Date.now() + 1.5 * 60 * 60 * 1000));
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Typography, {
      children: ["Tiempo: ", value]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Button, {
      onClick: handleReset,
      children: "Reiniciar"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Button, {
      onClick: function onClick() {
        return setShowSeconds(!showSeconds);
      },
      children: ["showSeconds: ", String(showSeconds)]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Button, {
      onClick: function onClick() {
        return setShowMinutes(!showMinutes);
      },
      children: ["showMinutes: ", String(showMinutes)]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Button, {
      onClick: function onClick() {
        return setShowHours(!showHours);
      },
      children: ["showHours: ", String(showHours)]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Button, {
      onClick: function onClick() {
        return setShowZero(!showZero);
      },
      children: ["showZero: ", String(showZero)]
    })]
  });
};

var Default = Countdown.bind({});
exports.Default = Default;