"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    buttonContainer: {
      width: '283px',
      height: '64px',
      background: palette.text.disabled,
      boxShadow: '0px 0px 16px rgba(217, 217, 217, 0.4)',
      border: 'none',
      borderRadius: '8px',
      paddingLeft: '10px',
      cursor: 'pointer'
    },
    content: {
      display: 'flex',
      justifyContent: 'space-around',
      alignItems: 'center'
    },
    title: {
      width: '211px',
      textAlign: 'start'
    },
    iconContainer: {
      borderRadius: '50%',
      width: '40px',
      height: '40px',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center'
    },
    icon: {
      width: '34px',
      height: '34px'
    }
  };
});

exports.default = _default;