import { IInput, IClasses as IClassesInput } from '../Input/interfaces';
export interface IOption {
    value: string;
    label: string;
}
interface IClasses extends IClassesInput {
    menu?: string;
    menuItem?: string;
    menuItemSelected?: string;
}
export interface IDropdown extends Omit<IInput, 'classes'> {
    options: IOption[];
    classes?: IClasses;
    withAutocomplete?: boolean;
}
export interface IStyles {
    withAutocomplete: boolean;
}
export {};
