"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    content: {
      border: '0.909968px solid #B5B5B5',
      filter: 'drop-shadow(0px 0px 21.8392px rgba(217, 217, 217, 0.6))',
      borderRadius: '18.1994px',
      width: '283px',
      height: '177.5px',
      zIndex: 0
    },
    img: {
      width: '283px',
      height: '177.5px',
      borderRadius: '18.1994px',
      position: 'relative',
      zIndex: 0
    },
    iconRefresh: {
      position: 'absolute',
      height: '64px',
      width: '64px',
      zIndex: 1,
      top: '30%',
      left: '40%',
      backgroundColor: palette.background.paper,
      borderRadius: '50%',
      border: 'none',
      cursor: 'pointer',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center'
    },
    refresh: {
      height: '21px',
      width: '21px'
    }
  };
});

exports.default = _default;