"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    inputContainer: {
      height: 'auto',
      width: 'auto',
      display: 'flex',
      flexDirection: 'column'
    },
    label: {
      color: palette.text.primary
    },
    input: {
      minHeight: '28px',
      background: palette.primary.contrastText,
      borderRadius: '8px',
      border: 'none',
      alignItems: 'center',
      color: palette.common.backGroundNip
    }
  };
});

exports.default = _default;