"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    nav: {
      width: '100vh'
    },
    barContainer: {
      width: '100%',
      display: 'flex'
    },
    stepContainer: {
      width: '216px',
      height: '8px'
    },
    radioBar: {
      padding: 0,
      width: '8px',
      height: '8px',
      background: palette.background.switchThemeLight,
      borderRadius: '999999px'
    },
    stepComplete: {
      width: '216px',
      height: '8px',
      background: palette.background.switchThemeLight
    },
    radioBarComplete: {
      padding: 0,
      width: '8px',
      height: '8px',
      background: palette.background.switchThemeLight,
      borderRadius: '0'
    },
    stepCompleteFrist: {
      width: '216px',
      height: '8px',
      background: palette.background.switchThemeLight,
      borderStartStartRadius: '8px',
      borderBottomLeftRadius: '8px'
    },
    stepRadioFirst: {
      width: '216px',
      height: '8px',
      borderStartStartRadius: '999999px'
    },
    stepCompleteLast: {
      width: '216px',
      height: '8px',
      background: palette.background.switchThemeLight,
      borderStartEndRadius: '8px',
      borderBottomRigthRadius: '8px'
    },
    stepRadioLast: {
      width: '216px',
      height: '8px',
      borderStartStartRadius: '999999px'
    },
    stepContainerLast: {
      width: '216px',
      height: '8px',
      display: 'flex',
      justifyContent: 'space-between',
      borderEndEndRadius: '8px',
      borderBottomRigthRadius: '8px'
    }
  };
});

exports.default = _default;