"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = exports.BoxPesosTransfer = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _core = require("@material-ui/core");

var _BoxPesos = _interopRequireDefault(require("./BoxPesos"));

var _addons = require("@storybook/addons");

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var useStyles = (0, _core.makeStyles)(function () {
  return {
    root: {}
  };
});
var _default = {
  title: 'Tauros-web-ui/Molecules/BoxPesos',
  component: _BoxPesos.default,
  args: {},
  argTypes: {}
};
exports.default = _default;

var TabsComponent = function TabsComponent(args) {
  var _useState = (0, _react.useState)(args.value),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];

  var _useState3 = (0, _react.useState)(args.valueTransfer),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      valueTransfer = _useState4[0],
      setValueTransfer = _useState4[1];

  var _useState5 = (0, _react.useState)(false),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      swichAmount = _useState6[0],
      setSwichAmount = _useState6[1];

  var styles = useStyles();

  var handleOnClick = function handleOnClick() {
    setValue('2500.00');
  };

  var handleOnChange = function handleOnChange(e) {
    setValue(e.target.value);
  };

  var handleClickConvertAmount = function handleClickConvertAmount() {
    setSwichAmount(!swichAmount);
    setValue(valueTransfer);
    setValueTransfer(value);
  };

  var handleOnChangeTransfer = function handleOnChangeTransfer(e) {
    setValue(e.target.value);
    var valueNumber = Number(e.target.value);
    var valueAmontConvert = valueNumber / 19.38;
    setValueTransfer(valueAmontConvert.toString());
  };

  (0, _addons.useEffect)(function () {
    setValue(args.value);
    setValueTransfer(args.valueTransfer);
  }, [args.value, args.valueTransfer]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    style: {
      width: 332,
      display: 'flex'
    },
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_BoxPesos.default, _objectSpread(_objectSpread({}, args), {}, {
      value: value,
      swichAmount: swichAmount,
      valueTransfer: valueTransfer,
      onChange: handleOnChange,
      onChangeTranfer: handleOnChangeTransfer,
      onClickSwichAmount: handleClickConvertAmount,
      onClick: handleOnClick
    }))
  });
};

var Default = TabsComponent.bind({});
exports.Default = Default;
Default.parameters = {
  controls: {
    exclude: ['onChange', 'onClick']
  }
};
Default.args = {
  footer: ['Disponible: $2,500'],
  coin: 'MXN',
  buttonText: 'MAX',
  disabled: false,
  value: '',
  decimal: 2,
  focus: false,
  height: 115
};
var BoxPesosTransfer = TabsComponent.bind({});
exports.BoxPesosTransfer = BoxPesosTransfer;
BoxPesosTransfer.parameters = {
  controls: {
    exclude: ['onClick', 'onChangeTranfer']
  }
};
BoxPesosTransfer.args = {
  coin: 'MXN',
  buttonText: 'MAX',
  disabled: false,
  value: '',
  decimal: 2,
  focus: false,
  height: 115,
  swichTransfer: true,
  coinTwo: 'USDC',
  valueTransfer: ''
};