"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    cardContainer: {
      width: '283px',
      height: '228px',
      boxShadow: '0px 0px 16px rgba(217, 217, 217, 0.4)',
      borderRadius: '8px',
      display: 'flex',
      flexDirection: 'column',
      justifyContent: 'space-around',
      padding: '24px 16px 24px 16px'
    },
    imgContainer: {
      width: '120px',
      height: '77px',
      marginBottom: '10px'
    },
    img: {
      width: '120px',
      height: '77px'
    },
    textContainer: {
      width: '251px',
      height: '104px'
    },
    title: {
      width: '251px',
      height: '29px',
      fontStyle: 'normal',
      fontWeight: 700,
      fontSize: '18px',
      lineHeight: '140%',
      letterSpacing: '0.5px'
    },
    description: {
      width: '251px',
      height: '50px',
      fontStyle: 'normal',
      fontWeight: 400,
      fontSize: '18px',
      lineHeight: '140%',
      letterSpacing: '0.5px',
      color: palette.common.backGroundNip
    }
  };
});

exports.default = _default;